package cn.iocoder.yudao.module.member.controller.admin.level;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.service.level.MemberUserLevelConfigService;
import cn.iocoder.yudao.module.member.vo.scoreRule.ScoreRuleStatusReqVO;
import cn.iocoder.yudao.module.member.vo.userLevel.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Validated
@RestController
@Api(tags = "管理后台 - 会员等级配置")
@RequestMapping("/member/user-level")
public class MemberUserLevelConfigController {


    private final MemberUserLevelConfigService userLevelConfigService;

    public MemberUserLevelConfigController(MemberUserLevelConfigService userLevelConfigService) {
        this.userLevelConfigService = userLevelConfigService;
    }

    @PostMapping("/page")
    @ApiOperation("列表")
    public CommonResult<PageResult<MemberUserLevelConfigBaseRespVO>> getLevelPage(@Valid @RequestBody MemberUserLevelConfigReqVO query) {
        return success(userLevelConfigService.getLevelPage(query));
    }

    @PostMapping("/delete")
    @ApiOperation("删除")
    public CommonResult<Boolean> delete(@Valid @RequestBody List<Long> ids) {
        return success(userLevelConfigService.delete(ids));
    }
    @PostMapping("/get")
    @ApiOperation("获得等级规则详情")
    //@PreAuthorize("@ss.hasPermission('member:score-rule:query')")
    public CommonResult<MemberUserLevelConfigBaseRespVO> getMemberUserLevelConfig(@Valid @RequestBody IdReqVo idReqVo) {
        MemberUserLevelConfigBaseRespVO memberUserLevelConfigBaseRespVO = userLevelConfigService.getMemberUserLevelConfig(idReqVo.getId());
        return success(memberUserLevelConfigBaseRespVO);
    }
    @PostMapping("/add")
    @ApiOperation("新增")
    public CommonResult<Boolean> add(@Valid @RequestBody MemberUserLevelConfigUpdateVO query) {
        return success(userLevelConfigService.add(query));
    }

    @PostMapping("/update")
    @ApiOperation("编辑")
    public CommonResult<Boolean> update(@Valid @RequestBody MemberUserLevelConfigUpdateVO query) {
        return success(userLevelConfigService.updateLevel(query));
    }
    @PostMapping("/status")
    @ApiOperation("启用关闭")
    //@PreAuthorize("@ss.hasPermission('member:score-rule:update')")
    public CommonResult<Boolean> updateStatus(@Valid @RequestBody MemberUserLevelStatusReqVO memberUserLevelReqVO) {
        userLevelConfigService.updateStatus(memberUserLevelReqVO);
        return success(true);
    }
}
