package cn.iocoder.yudao.module.member.controller.admin.levelLog;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.service.levelLog.MemberUserLevelLogService;
import cn.iocoder.yudao.module.member.vo.userLevelLog.MemberUserLevelLogBackVO;
import cn.iocoder.yudao.module.member.vo.userLevelLog.MemberUserLevelLogQueryVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Validated
@RestController
@Api(tags = "管理后台 - 会员等级记录")
@RequestMapping("/member/user-level-log")
public class MemberUserLevelLogController {
    @Resource
    private MemberUserLevelLogService memberUserLevelLogService;

    @PostMapping("/page")
    @ApiOperation("获得等级记录分页")
    //@PreAuthorize("@ss.hasPermission('member:user-level-log:query')")
    public CommonResult<PageResult<MemberUserLevelLogBackVO>> page(@Valid @RequestBody MemberUserLevelLogQueryVO query) {
        PageResult<MemberUserLevelLogBackVO> pageResult = memberUserLevelLogService.getPage(query);
        return success(pageResult);
    }
}
