package cn.iocoder.yudao.module.member.controller.admin.levelOperateLog;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.service.levelOperateLog.MemberUserLevelOperateLogService;
import cn.iocoder.yudao.module.member.vo.userLevelOperateLog.MemberUserLevelOperateLogBackVO;
import cn.iocoder.yudao.module.member.vo.userLevelOperateLog.MemberUserLevelOperateLogQueryVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Validated
@RestController
@Api(tags = "管理后台 - 会员等级操作记录")
@RequestMapping("/member/level-operate-log")
public class MemberUserLevelOperateLogController {
    @Resource
    private MemberUserLevelOperateLogService memberUserLevelOperateLogService;

    @PostMapping("/page")
    @ApiOperation("获得等级操作记录分页")
    //@PreAuthorize("@ss.hasPermission('member:user-level-log:query')")
    public CommonResult<PageResult<MemberUserLevelOperateLogBackVO>> page(@Valid @RequestBody MemberUserLevelOperateLogQueryVO query) {
        PageResult<MemberUserLevelOperateLogBackVO> pageResult = memberUserLevelOperateLogService.getPage(query);
        return success(pageResult);
    }
}
