package cn.iocoder.yudao.module.member.controller.admin.scoreRule;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.service.ScoreRuleShareRecord.ScoreRuleShareRecordService;
import cn.iocoder.yudao.module.member.vo.ScoreRuleShareRecord.ScoreRuleShareRecordDetailReqVO;
import cn.iocoder.yudao.module.member.vo.ScoreRuleShareRecord.ScoreRuleShareRecordDetailVO;
import cn.iocoder.yudao.module.member.vo.ScoreRuleShareRecord.ScoreRuleShareRecordPageVO;
import cn.iocoder.yudao.module.member.vo.ScoreRuleShareRecord.ScoreRuleShareRecordQueryVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Validated
@RestController
@Api(tags = "管理后台 - 分享记录")
@RequestMapping("/member/score-rule/share-record")
public class ScoreRuleShareRecordController {

    @Resource
    private ScoreRuleShareRecordService scoreRuleShareRecordService;

    @PostMapping("/detail")
    @ApiOperation("获得分享记录详情")
    public CommonResult<PageResult<ScoreRuleShareRecordDetailVO>> getRuleShareRecordDetail(@Valid @RequestBody ScoreRuleShareRecordDetailReqVO reqVO) {
        return success(scoreRuleShareRecordService.getRuleShareRecordDetail(reqVO));
    }

    @PostMapping("/page")
    @ApiOperation("获得分享记录分页")
    public CommonResult<PageResult<ScoreRuleShareRecordPageVO>> getRuleShareRecordPage(@Valid @RequestBody ScoreRuleShareRecordQueryVO query) {
       return success(scoreRuleShareRecordService.getRuleShareRecordPage(query));
    }
}
