package cn.iocoder.yudao.module.member.controller.admin.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author Administrator
 */
@ApiModel("管理后台 - 实名认证修改 Request VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class UserCardAuthUpdateReqVO {

    @ApiModelProperty(value = "用户认证ID", required = true)
    @NotNull(message = "用户认证ID不能为空")
    private Long userCardAuthId;

    @ApiModelProperty(value = "姓名", required = true, example = "张三")
    @NotBlank(message = "{member.user.auth.realname.not.blank}")
    private String name;

    @ApiModelProperty(value = "证件类型 身份证1 护照2 见字典certificate_type", required = true)
    @NotNull(message = "{member.user.auth.card.type.not.null}")
    private Integer cardType;

    @ApiModelProperty(value = "身份证号码", required = true)
    @NotBlank(message = "{member.user.auth.idcard.number.not.blank}")
    private String cardNumber;

    @ApiModelProperty(value = "身份证图片（人像面）", required = true)
    @NotBlank(message = "{member.user.auth.idcard.obverse.image.not.blank}")
    private String img1;

    @ApiModelProperty(value = "身份证图片（国徽面）", required = true)
    @NotBlank(message = "{member.user.auth.idcard.reverse.image.not.blank}")
    private String img2;

    @ApiModelProperty(value = "是否需要审核通过", required = true)
    private boolean isAuditPass;

}
