package cn.iocoder.yudao.module.member.controller.admin.user.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 用户查询 VO")
public class UserQueryVO {

    @ApiModelProperty(value = "关键词-搜索昵称、手机")
    private String searchKey;

    @ApiModelProperty(value = "是否成交")
    private Boolean isDeal;

    @ApiModelProperty(value = "认证查询类型 1营业执照认证 2身份证认证 3双认证，查全部不传即可")
    private Integer authType;

    @ApiModelProperty(value = "审核状态： 0未审核；1审核中；2审核通过；3审核不通过，查全部不传即可")
    private Integer auditStatus;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建开始时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建结束时间")
    private Date endCreateTime;
    @ApiModelProperty(value = "客户编码")
    private String customerCode;
    @ApiModelProperty(value = "会员编码")
    private String memberCode;
}
