package cn.iocoder.yudao.module.member.controller.app.auth.vo;

import cn.iocoder.yudao.framework.common.validation.Mobile;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

/**
 * @author Administrator
 */
@ApiModel("用户 APP - 手机 + 密码登录 Request VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AppAuthLoginReqVO {

    @ApiModelProperty(value = "手机号", required = true, example = "15601691300")
    @NotBlank(message = "{app.auth.mobile.not.blank}")
    @Mobile(message = "{app.auth.mobile.format.err}")
    private String mobile;

    @ApiModelProperty(value = "密码", required = true, example = "buzhidao")
    @NotBlank(message = "{app.auth.password.not.blank}")
    @Length(min = 4, max = 16, message = "{app.auth.password.len.err}")
    private String password;

}
