package cn.iocoder.yudao.module.member.controller.app.auth.vo;

import cn.iocoder.yudao.framework.common.validation.Mobile;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * @author Administrator
 */
@ApiModel("用户 APP - 手机 + 密码注册 Request VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AppAuthRegReqVO {
    @ApiModelProperty(value = "手机号", required = true, example = "15601691300")
    @NotBlank(message = "{app.auth.mobile.not.blank}")
//    @Mobile(message = "{app.auth.mobile.format.err}")
    private String mobile;

    @ApiModelProperty(value = "密码", required = true, example = "buzhidao")
    @NotBlank(message = "{app.auth.password.not.blank}")
    @Length(min = 4, max = 16, message = "{app.auth.password.len.err}")
    private String password;

    @ApiModelProperty(value = "手机验证码", required = true, example = "1024")
    @NotBlank(message = "{app.auth.captcha.not.blank}")
    @Length(min = 4, max = 6, message = "{app.auth.captcha.len.err}")
    @Pattern(regexp = "^[0-9]+$", message = "{app.auth.captcha.pattern}")
    private String code;

    @ApiModelProperty(value = "区号", required = true, example = "86")
    @Pattern(regexp = "^[0-9]+$", message = "{order.area.code}")
    private String areaCode;

    @ApiModelProperty(value = "英文名称", required = false, example = "+86")
    private String englishName;
    @ApiModelProperty(value = "推荐码", required = false)
    private String referralCode;
    @ApiModelProperty(value = "注册平台（2APP，3WEB）", required = true)
    private Integer registerPlatform;

}
