package cn.iocoder.yudao.module.member.controller.app.auth.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;

/**
 * @author Administrator
 */
@ApiModel("用户 APP - 修改密码 Request VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AppAuthUpdatePasswordReqVO {

    @ApiModelProperty(value = "用户旧密码", example = "123456")
    private String oldPassword;

    @ApiModelProperty(value = "新密码", required = true, example = "buzhidao")
    @NotBlank(message = "{app.auth.new.password.not.blank}")
    @Length(min = 4, max = 16, message = "{app.auth.password.len.err}")
    private String password;
}
