package cn.iocoder.yudao.module.member.controller.app.auth.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * @author Administrator
 */
@ApiModel("用户 APP - 发送邮箱验证码 Response VO")
@Data
@Accessors(chain = true)
public class AppEmailUpdateReqVO {

    @ApiModelProperty(value = "邮箱",required = true, example = "aaa@163.com")
    //@Mobile(message = "{app.auth.mobile.format.err}")
    @Email(message = "incorrect email format")
    private String email;

    @ApiModelProperty(value = "邮箱验证码", required = true, example = "1024")
    @NotBlank(message = "{app.auth.captcha.not.blank}")
    @Length(min = 4, max = 6, message = "{app.auth.captcha.len.err}")
    @Pattern(regexp = "^[0-9]+$", message = "{app.auth.captcha.pattern}")
    private String code;
}
