package cn.iocoder.yudao.module.member.controller.app.scoreRule;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.idempotent.core.annotation.Idempotent;
import cn.iocoder.yudao.module.member.service.ScoreRuleShareRecord.ScoreRuleShareRecordService;
import cn.iocoder.yudao.module.member.vo.ScoreRuleShareRecord.ScoreRuleShareRecordCreateReqVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.Valid;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Validated
@RestController
@Api(tags = "用户 APP - 分享记录")
@RequestMapping("/member/score-rule/share-record")
public class AppScoreRuleShareRecordController {

    @Resource
    private ScoreRuleShareRecordService scoreRuleShareRecordService;

    @PostMapping("/create")
    @ApiOperation("创建分享记录")
    @Idempotent(timeout = 5)
    public CommonResult<Long> createRuleShareRecord(@Valid @RequestBody ScoreRuleShareRecordCreateReqVO createReqVO) {
        return success(scoreRuleShareRecordService.createRuleShareRecord(createReqVO));
    }
}
