package cn.iocoder.yudao.module.member.controller.app.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author Administrator
 */
@ApiModel("用户 APP - 企业认证 Request VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AppUserEnterpriseAuthReqVO {

    @ApiModelProperty(value = "企业名称", required = true, example = "张三")
    @NotBlank(message = "{member.user.auth.enterprise.name.not.blank}")
    private String name;

    @ApiModelProperty(value = "企业法人", required = true, example = "张三")
    @NotBlank(message = "{member.user.auth.enterprise.legal.not.blank}")
    private String legalName;

    @ApiModelProperty(value = "证件有效期 eg:2022-01-23")
    private String validity;


    @ApiModelProperty(value = "营业执照号码", required = true)
    @NotBlank(message = "{member.user.auth.enterprise.number.not.blank}")
    private String cardNumber;


    @ApiModelProperty(value = "企业证件照")
    private String img1;

    @ApiModelProperty(value = "企业附件")
    private String img2;

}
