package cn.iocoder.yudao.module.member.controller.app.user.vo;

import cn.iocoder.yudao.framework.common.validation.Mobile;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

/**
 * @author Administrator
 */
@ApiModel("用户 APP - 修改手机 Request VO")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class AppUserUpdateMobileReqVO {

    @ApiModelProperty(value = "手机验证码", required = true, example = "1024")
    @NotBlank(message = "{app.auth.captcha.not.blank}")
    @Length(min = 4, max = 6, message = "{app.auth.captcha.len.err}")
    @Pattern(regexp = "^[0-9]+$", message = "{app.auth.captcha.pattern}")
    private String code;

    @ApiModelProperty(value = "手机号",required = true,example = "15823654487")
    @NotBlank(message = "{app.auth.mobile.not.blank}")
//    @Mobile(message = "{app.auth.mobile.format.err}")
    private String mobile;

   /* @ApiModelProperty(value = "原手机验证码", required = true, example = "1024")
    @NotBlank(message = "{app.auth.captcha.not.blank}")
    @Length(min = 4, max = 6, message = "{app.auth.captcha.len.err}")
    @Pattern(regexp = "^[0-9]+$", message = "{app.auth.captcha.pattern}")
    private String oldCode;*/

    @ApiModelProperty(value = "用户密码", required = true, example = "123456")
    @NotBlank(message = "{app.auth.password.not.blank}")
    @Length(min = 4, max = 16, message = "{app.auth.password.len.err}")
    private String password;

    @ApiModelProperty(value = "手机号码区号", example = "+86")
    @NotBlank(message = "{app.auth.mobile.areacode.not.blank}")
    private String areaCode;

    @ApiModelProperty(value = "原手机号",required = true,example = "15823654487")
    @NotBlank(message = "{app.auth.mobile.not.blank}")
    @Mobile(message = "{app.auth.mobile.format.err}")
    private String oldMobile;
}
