package cn.iocoder.yudao.module.member.controller.app.userScore;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.security.core.annotations.PreAuthenticated;
import cn.iocoder.yudao.module.member.api.score.MemberUserScoreApiImpl;
import cn.iocoder.yudao.module.member.controller.app.userScore.vo.AppMemberUserIdQueryVO;
import cn.iocoder.yudao.module.member.controller.app.userScore.vo.AppMemberUserScoreInfoRespVO;
import cn.iocoder.yudao.module.member.controller.app.userScore.vo.AppMemberUserScoreLogRespVO;
import cn.iocoder.yudao.module.member.service.score.MemberUserScoreService;
import cn.iocoder.yudao.module.member.service.scoreLog.MemberUserScoreLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;
import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Validated
@RestController
@Api(tags = "用户 APP - 会员积分")
@RequestMapping("/member/user-score")
public class AppMemberUserScoreController {

    @Resource
    private MemberUserScoreService userScoreService;
    @Resource
    private MemberUserScoreApiImpl scoreApi;
    @Resource
    private MemberUserScoreLogService memberUserScoreLogService;


    @PostMapping("/info")
    @ApiOperation("获得会员积分基本信息")
    //@PreAuthenticated
    public CommonResult<AppMemberUserScoreInfoRespVO> getUserScoreInfo(@Valid @RequestBody AppMemberUserIdQueryVO idQuery) {
        AppMemberUserScoreInfoRespVO scoreInfo = userScoreService.getUserScoreInfo(idQuery.getId());
        return success(scoreInfo);
    }

    @PostMapping("/log")
    @ApiOperation("获取会员积分日志列表")
    //@PreAuthenticated
    public CommonResult<List<AppMemberUserScoreLogRespVO>> getUserScoreLogList(@Valid @RequestBody AppMemberUserIdQueryVO query) {
        return success(memberUserScoreLogService.getUserScoreLogList(query));
    }
}
