package cn.iocoder.yudao.module.member.convert.address;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.dal.dataobject.address.UserAddressDO;
import cn.iocoder.yudao.module.member.vo.address.UserAddressBackVO;
import cn.iocoder.yudao.module.member.vo.address.UserAddressCreateReqVO;
import cn.iocoder.yudao.module.member.vo.address.UserAddressUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;


/**
 * 会员收货地址 Convert
 * @author 系统管理员
 */
@Mapper
public interface UserAddressConvert {
    /*****转换MapStruct*****/
    UserAddressConvert INSTANCE = Mappers.getMapper(UserAddressConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    UserAddressDO convert(UserAddressCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    UserAddressDO convert(UserAddressUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    UserAddressBackVO convert(UserAddressDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<UserAddressBackVO> convertList(List<UserAddressDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<UserAddressBackVO> convertPage(PageResult<UserAddressDO> page);
}
