package cn.iocoder.yudao.module.member.convert.scoreRule;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.dal.dataobject.scoreRule.ScoreRuleDO;
import cn.iocoder.yudao.module.member.vo.scoreRule.ScoreRuleBackVO;
import cn.iocoder.yudao.module.member.vo.scoreRule.ScoreRuleCreateReqVO;
import cn.iocoder.yudao.module.member.vo.scoreRule.ScoreRuleUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 积分规则 DO Convert
 * @author 系统管理员
 */
@Mapper
public interface ScoreRuleConvert {
    /*****转换MapStruct*****/
    ScoreRuleConvert INSTANCE = Mappers.getMapper(ScoreRuleConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ScoreRuleDO convert(ScoreRuleCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ScoreRuleDO convert(ScoreRuleUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    ScoreRuleBackVO convert(ScoreRuleDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ScoreRuleBackVO> convertList(List<ScoreRuleDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ScoreRuleBackVO> convertPage(PageResult<ScoreRuleDO> page);
}
