package cn.iocoder.yudao.module.member.convert.userCardAuth;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.controller.app.user.vo.AppUserCardAuthReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.member.vo.userCardAuth.*;
import cn.iocoder.yudao.module.member.dal.dataobject.userCardAuth.UserCardAuthDO;

/**
 * 用户身份证认证 Convert
 * @author yanghao
 */
@Mapper
public interface UserCardAuthConvert {
    /*****转换MapStruct*****/
    UserCardAuthConvert INSTANCE = Mappers.getMapper(UserCardAuthConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    UserCardAuthDO convert(UserCardAuthCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    UserCardAuthDO convert(UserCardAuthUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    UserCardAuthBackVO convert(UserCardAuthDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<UserCardAuthBackVO> convertList(List<UserCardAuthDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<UserCardAuthBackVO> convertPage(PageResult<UserCardAuthDO> page);


    UserCardAuthCreateReqVO convert(AppUserCardAuthReqVO reqVO);
}
