package cn.iocoder.yudao.module.member.convert.userEnterprise;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.member.vo.userEnterprise.*;
import cn.iocoder.yudao.module.member.dal.dataobject.userEnterprise.UserEnterpriseDO;

/**
 * 会员公司信息 Convert
 * @author 系统管理员
 */
@Mapper
public interface UserEnterpriseConvert {
    /*****转换MapStruct*****/
    UserEnterpriseConvert INSTANCE = Mappers.getMapper(UserEnterpriseConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    UserEnterpriseDO convert(UserEnterpriseCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    UserEnterpriseDO convert(UserEnterpriseUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    UserEnterpriseBackVO convert(UserEnterpriseDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<UserEnterpriseBackVO> convertList(List<UserEnterpriseDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<UserEnterpriseBackVO> convertPage(PageResult<UserEnterpriseDO> page);
}
