package cn.iocoder.yudao.module.member.convert.userEnterpriseAuth;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.controller.app.user.vo.AppUserEnterpriseAuthReqVO;
import cn.iocoder.yudao.module.member.dal.dataobject.userEnterpriseAuth.UserEnterpriseAuthDO;
import cn.iocoder.yudao.module.member.vo.userEnterpriseAuth.UserEnterpriseAuthBackVO;
import cn.iocoder.yudao.module.member.vo.userEnterpriseAuth.UserEnterpriseAuthCreateReqVO;
import cn.iocoder.yudao.module.member.vo.userEnterpriseAuth.UserEnterpriseAuthUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 用户企业认证 Convert
 * @author yanghao
 */
@Mapper
public interface UserEnterpriseAuthConvert {
    /*****转换MapStruct*****/
    UserEnterpriseAuthConvert INSTANCE = Mappers.getMapper(UserEnterpriseAuthConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    UserEnterpriseAuthDO convert(UserEnterpriseAuthCreateReqVO bean);

    UserEnterpriseAuthCreateReqVO convert(AppUserEnterpriseAuthReqVO reqVO);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    UserEnterpriseAuthDO convert(UserEnterpriseAuthUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    UserEnterpriseAuthBackVO convert(UserEnterpriseAuthDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<UserEnterpriseAuthBackVO> convertList(List<UserEnterpriseAuthDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<UserEnterpriseAuthBackVO> convertPage(PageResult<UserEnterpriseAuthDO> page);
}
