package cn.iocoder.yudao.module.member.convert.userOperationLog;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.member.vo.userOperationLog.*;
import cn.iocoder.yudao.module.member.dal.dataobject.userOperationLog.UserOperationLogDO;

/**
 * 用户操作日志 Convert
 * @author yanghao
 */
@Mapper
public interface UserOperationLogConvert {
    /*****转换MapStruct*****/
    UserOperationLogConvert INSTANCE = Mappers.getMapper(UserOperationLogConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    UserOperationLogDO convert(UserOperationLogCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    UserOperationLogDO convert(UserOperationLogUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    UserOperationLogBackVO convert(UserOperationLogDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<UserOperationLogBackVO> convertList(List<UserOperationLogDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<UserOperationLogBackVO> convertPage(PageResult<UserOperationLogDO> page);
}
