package cn.iocoder.yudao.module.member.dal.dataobject.address;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 会员收货地址 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("member_user_address")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserAddressDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 是否默认地址
     */
    private Integer isDefault;
    /**
     * 收货人姓名
     */
    private String name;
    /**
     * 区号
     */
    private String areaCode;
    /**
     * 收货人手机
     */
    private String phone;
    /**
     * 详细地址
     */
    private String address;

}
