package cn.iocoder.yudao.module.member.dal.dataobject.level;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import java.util.Date;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("member_user_level_config")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MemberUserLevelConfigDO extends BaseDO {
    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * 积分范围 下界
     */
    private Integer lowerCount;
    /**
     * 积分范围 上界
     */
    private Integer upperCount;
    /**
     * 图标
     */
    private String icon;
    /**
     * 等级(字典配置)
     */
    private Integer level;
    /**
     * 状态（0.未发布，1.已启用，2.已禁用，3.已过期）
     */
    private Integer status;
    /**
     * 规则编号
     */
    private String ruleNumber;
    /**
     * 等级有效期(数字正整数或为空)
     */
    private Integer validityPeriod;
    /**
     * 积分累计周期(数字正整数或为空)
     */
    private Integer accumulationPeriod;
    /**
     * 积分累计开始日期(时间选择框，时间选择，不需要日期，可为空)
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Date startDate;
    /**
     * 启用日期
     */
    private Date enableDate;
    /**
     * 等级规则有效期开始时间(时间选择框，结束时间可不填写，代表长期有效)
     */
    private Date startTime;
    /**
     * 等级规则有效期结束时间(时间选择框，结束时间可不填写，代表长期有效)
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Date endTime;
    /**
     * 等级说明
     */
    private String description;
    /**
     * 匹配顺序（限制为数字）
     */
    private Integer sort;
}
