package cn.iocoder.yudao.module.member.dal.dataobject.scoreDetail;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 会员积分 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("member_user_score_detail")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class MemberUserScoreDetailDO extends BaseDO {

    @TableId
    private Long id;

    private Long memberId;

    private Integer scoreCount;

    private Integer status;

    private Integer remainCount;

    private Date expireTime;

    private String extParam = "{}";



    @Getter
    public enum MemberUserScoreDetailExtKey {
        LOG_IDS("scoreLogIds");

        private final String key;

        MemberUserScoreDetailExtKey(String key) {
            this.key = key;
        }

    }

    public JSONArray getExtParamByKey(MemberUserScoreDetailExtKey key) {
        JSONObject extParamJsonObject = JSONUtil.parseObj(extParam);
        return extParamJsonObject.get(key.getKey(), JSONArray.class);
    }
}
