package cn.iocoder.yudao.module.member.dal.dataobject.scoreRule;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 积分规则 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("score_rule")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ScoreRuleDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 规则编号
     */
    private String code;
    /**
     * 指标类型
     */
    private Integer type;
    /**
     * 规则标题中文
     */
    private String titleZh;
    /**
     * 规则标题英文
     */
    private String titleEn;
    /**
     * 规则标题法文
     */
    private String titleFr;
    /**
     * 规则说明中文
     */
    private String descZh;
    /**
     * 规则说明英文
     */
    private String descEn;
    /**
     * 规则说明法文
     */
    private String descFr;
    /**
     * 封面图中文
     */
    private String coverImageZh;
    /**
     * 封面图英文
     */
    private String coverImageEn;
    /**
     * 封面图法文
     */
    private String coverImageFr;
    /**
     * 单次获取积分数
     */
    private Integer getScoreOnce;
    /**
     * 累积最高积分
     */
    private Integer maxScoreTotal;
    /**
     * 活动开始时间
     */
    private Date startTime;
    /**
     * 活动结束时间
     */
    private Date endTime;
    /**
     * 积分有效期
     */
    private Integer scorePeriod;
    /**
     * 排序值
     */
    private Integer orderNum;
    /**
     * 是否推送
     */
    private Integer pushActivity;
    /**
     * 展示平台
     */
    private String showPlatform;
    /**
     * 活动状态
     */
    private Integer status;
    /**
     * 扩展字段
     */
    private String extra;

}
