package cn.iocoder.yudao.module.member.dal.dataobject.userCardAuth;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 用户身份证认证 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("member_user_card_auth")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserCardAuthDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 姓名
     */
    private String name;
    /**
     * 证件类型
     */
    private Integer cardType;
    /**
     * 证件号码
     */
    private String cardNumber;
    /**
     * 身份证正面照
     */
    private String img1;
    /**
     * 身份证背面照
     */
    private String img2;
    /**
     * 审核结果 0未审核 1审核中 2审核通过 3审核不通过 见audit_status
     *
     * 枚举 {@link TODO audit_status 对应的类}
     */
    private Integer status;
    /**
     * 审核备注
     */
    private String auditRemark;
    /**
     * 审核时间
     */
    private Date auditTime;

}
