package cn.iocoder.yudao.module.member.dal.dataobject.userEnterpriseAuth;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 用户企业认证 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("member_user_enterprise_auth")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserEnterpriseAuthDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 企业名称
     */
    private String name;
    /**
     * 企业法人
     */
    private String legalName;
    /**
     * 企业证件号码
     */
    private String cardNumber;
    /**
     * 企业证件照
     */
    private String img1;
    /**
     * 企业附件
     */
    private String img2;
    /**
     * 企业审核状态：0未审核；1审核中；2审核通过；3审核不通过 见audit_status
     */
    private Integer status;
    /**
     * 审核备注
     */
    private String auditRemark;
    /**
     * 审核时间
     */
    private Date auditTime;

}
