package cn.iocoder.yudao.module.member.dal.dataobject.userOperationLog;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 用户操作日志 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("member_user_operation_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserOperationLogDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 操作类型
     *
     * 枚举 {@link TODO user_operation_type 对应的类}
     */
    private Integer type;
    /**
     * 标题
     */
    private String title;
    /**
     * 操作ip
     */
    private String ip;
    /**
     * 操作内容
     */
    private String content;

}
