package cn.iocoder.yudao.module.member.dal.mysql.address;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.member.dal.dataobject.address.UserAddressDO;
import cn.iocoder.yudao.module.member.vo.address.UserAddressQueryVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 会员收货地址 Mapper
 * @author 系统管理员
 */
@Mapper
public interface UserAddressMapper extends AbstractMapper<UserAddressDO> {
    @Override
    default PageResult<UserAddressDO> selectPage(PageVO page, Object object) {
        if (object instanceof UserAddressQueryVO) {
            UserAddressQueryVO vo = (UserAddressQueryVO)object;
            return selectPage(page, new LambdaQuery<UserAddressDO>()
                .eqIfPresent(UserAddressDO::getMemberId, vo.getMemberId())
                .eqIfPresent(UserAddressDO::getIsDefault, vo.getIsDefault())
                .likeIfPresent(UserAddressDO::getName, vo.getName())
                .eqIfPresent(UserAddressDO::getAreaCode, vo.getAreaCode())
                .eqIfPresent(UserAddressDO::getPhone, vo.getPhone())
                .eqIfPresent(UserAddressDO::getAddress, vo.getAddress())
                .betweenIfPresent(UserAddressDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(UserAddressDO::getId));
        }

        return null;
    }

    @Override
    default List<UserAddressDO> selectList(Object object) {
        if (object instanceof UserAddressQueryVO) {
            UserAddressQueryVO vo = (UserAddressQueryVO)object;
            return selectList(new LambdaQuery<UserAddressDO>()
                .eqIfPresent(UserAddressDO::getMemberId, vo.getMemberId())
                .eqIfPresent(UserAddressDO::getIsDefault, vo.getIsDefault())
                .likeIfPresent(UserAddressDO::getName, vo.getName())
                .eqIfPresent(UserAddressDO::getAreaCode, vo.getAreaCode())
                .eqIfPresent(UserAddressDO::getPhone, vo.getPhone())
                .eqIfPresent(UserAddressDO::getAddress, vo.getAddress())
                .betweenIfPresent(UserAddressDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(UserAddressDO::getId));
        }

        return null;
    }
}
