package cn.iocoder.yudao.module.member.dal.mysql.userCardAuth;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.member.dal.dataobject.userCardAuth.UserCardAuthDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.member.vo.userCardAuth.*;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

/**
 * 用户身份证认证 Mapper
 * @author yanghao
 */
@Mapper
public interface UserCardAuthMapper extends AbstractMapper<UserCardAuthDO> {
    default UserCardAuthDO selectByUserId(Long userId) {
        return selectOne("user_id", userId,"deleted",0);
    }
    @Override
    default PageResult<UserCardAuthDO> selectPage(PageVO page, Object object) {
        if (object instanceof UserCardAuthQueryVO) {
            UserCardAuthQueryVO vo = (UserCardAuthQueryVO)object;
            return selectPage(page, new LambdaQuery<UserCardAuthDO>()
                .eqIfPresent(UserCardAuthDO::getUserId, vo.getUserId())
                .likeIfPresent(UserCardAuthDO::getName, vo.getName())
                .eqIfPresent(UserCardAuthDO::getCardType, vo.getCardType())
                .likeIfPresent(UserCardAuthDO::getCardNumber, vo.getCardNumber())
                .eqIfPresent(UserCardAuthDO::getStatus, vo.getStatus())
                .eqIfPresent(UserCardAuthDO::getAuditRemark, vo.getAuditRemark())
                .eqIfPresent(UserCardAuthDO::getDeleted,0)
                .betweenIfPresent(UserCardAuthDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                .betweenIfPresent(UserCardAuthDO::getAuditTime, vo.getBeginAuditTime(), vo.getEndAuditTime())
                    .orderByDesc(UserCardAuthDO::getId));
        }

        return null;
    }

    @Override
    default List<UserCardAuthDO> selectList(Object object) {
        if (object instanceof UserCardAuthQueryVO) {
            UserCardAuthQueryVO vo = (UserCardAuthQueryVO)object;
            return selectList(new LambdaQuery<UserCardAuthDO>()
                .eqIfPresent(UserCardAuthDO::getUserId, vo.getUserId())
                .likeIfPresent(UserCardAuthDO::getName, vo.getName())
                .eqIfPresent(UserCardAuthDO::getCardType, vo.getCardType())
                .likeIfPresent(UserCardAuthDO::getCardNumber, vo.getCardNumber())
                .eqIfPresent(UserCardAuthDO::getStatus, vo.getStatus())
                .eqIfPresent(UserCardAuthDO::getAuditRemark, vo.getAuditRemark())
                .eqIfPresent(UserCardAuthDO::getDeleted,0)
                .betweenIfPresent(UserCardAuthDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                .betweenIfPresent(UserCardAuthDO::getAuditTime, vo.getBeginAuditTime(), vo.getEndAuditTime())
                    .orderByDesc(UserCardAuthDO::getId));
        }

        return null;
    }

    @ResultType(UserCardAuthDO.class)
    @Select("select t.* from member_user_card_auth t where  t.deleted =0 and (t.`status` = 1 or t.`status` = 2) and t.user_id = #{userId}")
    List<UserCardAuthCreateReqVO> selectUserCardAuthList(@Param("userId")Long userId);
}
