package cn.iocoder.yudao.module.member.dal.mysql.userEnterprise;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.member.dal.dataobject.userEnterprise.UserEnterpriseDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.member.vo.userEnterprise.*;

/**
 * 会员公司信息 Mapper
 * @author 系统管理员
 */
@Mapper
public interface UserEnterpriseMapper extends AbstractMapper<UserEnterpriseDO> {
    @Override
    default PageResult<UserEnterpriseDO> selectPage(PageVO page, Object object) {
        if (object instanceof UserEnterpriseQueryVO) {
            UserEnterpriseQueryVO vo = (UserEnterpriseQueryVO)object;
            return selectPage(page, new LambdaQuery<UserEnterpriseDO>()
                .eqIfPresent(UserEnterpriseDO::getUserId, vo.getUserId())
                .likeIfPresent(UserEnterpriseDO::getCompanyName, vo.getCompanyName())
                .likeIfPresent(UserEnterpriseDO::getCompanyEnName, vo.getCompanyEnName())
                .eqIfPresent(UserEnterpriseDO::getCompanyDesc, vo.getCompanyDesc())
                .eqIfPresent(UserEnterpriseDO::getCompanyWebsite, vo.getCompanyWebsite())
                .eqIfPresent(UserEnterpriseDO::getCompanyAddress, vo.getCompanyAddress())
                .eqIfPresent(UserEnterpriseDO::getCompanyStall, vo.getCompanyStall())
                .eqIfPresent(UserEnterpriseDO::getCompanyBand, vo.getCompanyBand())
                .betweenIfPresent(UserEnterpriseDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(UserEnterpriseDO::getId));
        }

        return null;
    }

    @Override
    default List<UserEnterpriseDO> selectList(Object object) {
        if (object instanceof UserEnterpriseQueryVO) {
            UserEnterpriseQueryVO vo = (UserEnterpriseQueryVO)object;
            return selectList(new LambdaQuery<UserEnterpriseDO>()
                .eqIfPresent(UserEnterpriseDO::getUserId, vo.getUserId())
                .likeIfPresent(UserEnterpriseDO::getCompanyName, vo.getCompanyName())
                .likeIfPresent(UserEnterpriseDO::getCompanyEnName, vo.getCompanyEnName())
                .eqIfPresent(UserEnterpriseDO::getCompanyDesc, vo.getCompanyDesc())
                .eqIfPresent(UserEnterpriseDO::getCompanyWebsite, vo.getCompanyWebsite())
                .eqIfPresent(UserEnterpriseDO::getCompanyAddress, vo.getCompanyAddress())
                .eqIfPresent(UserEnterpriseDO::getCompanyStall, vo.getCompanyStall())
                .eqIfPresent(UserEnterpriseDO::getCompanyBand, vo.getCompanyBand())
                .betweenIfPresent(UserEnterpriseDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(UserEnterpriseDO::getId));
        }

        return null;
    }
}
