package cn.iocoder.yudao.module.member.dal.mysql.userEnterpriseAuth;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.member.dal.dataobject.userEnterpriseAuth.UserEnterpriseAuthDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.member.vo.userEnterpriseAuth.*;

/**
 * 用户企业认证 Mapper
 * @author yanghao
 */
@Mapper
public interface UserEnterpriseAuthMapper extends AbstractMapper<UserEnterpriseAuthDO> {
    @Override
    default PageResult<UserEnterpriseAuthDO> selectPage(PageVO page, Object object) {
        if (object instanceof UserEnterpriseAuthQueryVO) {
            UserEnterpriseAuthQueryVO vo = (UserEnterpriseAuthQueryVO)object;
            return selectPage(page, new LambdaQuery<UserEnterpriseAuthDO>()
                .eqIfPresent(UserEnterpriseAuthDO::getUserId, vo.getUserId())
                .likeIfPresent(UserEnterpriseAuthDO::getName, vo.getName())
                .likeIfPresent(UserEnterpriseAuthDO::getLegalName, vo.getLegalName())
                .eqIfPresent(UserEnterpriseAuthDO::getCardNumber, vo.getCardNumber())
                .eqIfPresent(UserEnterpriseAuthDO::getImg1, vo.getImg1())
                .eqIfPresent(UserEnterpriseAuthDO::getImg2, vo.getImg2())
                .eqIfPresent(UserEnterpriseAuthDO::getStatus, vo.getStatus())
                .betweenIfPresent(UserEnterpriseAuthDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                .eqIfPresent(UserEnterpriseAuthDO::getAuditRemark, vo.getAuditRemark())
                .betweenIfPresent(UserEnterpriseAuthDO::getAuditTime, vo.getBeginAuditTime(), vo.getEndAuditTime())
                    .orderByDesc(UserEnterpriseAuthDO::getId));
        }

        return null;
    }

    @Override
    default List<UserEnterpriseAuthDO> selectList(Object object) {
        if (object instanceof UserEnterpriseAuthQueryVO) {
            UserEnterpriseAuthQueryVO vo = (UserEnterpriseAuthQueryVO)object;
            return selectList(new LambdaQuery<UserEnterpriseAuthDO>()
                .eqIfPresent(UserEnterpriseAuthDO::getUserId, vo.getUserId())
                .likeIfPresent(UserEnterpriseAuthDO::getName, vo.getName())
                .likeIfPresent(UserEnterpriseAuthDO::getLegalName, vo.getLegalName())
                .eqIfPresent(UserEnterpriseAuthDO::getCardNumber, vo.getCardNumber())
                .eqIfPresent(UserEnterpriseAuthDO::getImg1, vo.getImg1())
                .eqIfPresent(UserEnterpriseAuthDO::getImg2, vo.getImg2())
                .eqIfPresent(UserEnterpriseAuthDO::getStatus, vo.getStatus())
                .betweenIfPresent(UserEnterpriseAuthDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                .eqIfPresent(UserEnterpriseAuthDO::getAuditRemark, vo.getAuditRemark())
                .betweenIfPresent(UserEnterpriseAuthDO::getAuditTime, vo.getBeginAuditTime(), vo.getEndAuditTime())
                    .orderByDesc(UserEnterpriseAuthDO::getId));
        }

        return null;
    }
}
