package cn.iocoder.yudao.module.member.dal.mysql.userOperationLog;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.member.dal.dataobject.userOperationLog.UserOperationLogDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.member.vo.userOperationLog.*;

/**
 * 用户操作日志 Mapper
 * @author yanghao
 */
@Mapper
public interface UserOperationLogMapper extends AbstractMapper<UserOperationLogDO> {
    @Override
    default PageResult<UserOperationLogDO> selectPage(PageVO page, Object object) {
        if (object instanceof UserOperationLogQueryVO) {
            UserOperationLogQueryVO vo = (UserOperationLogQueryVO)object;
            return selectPage(page, new LambdaQuery<UserOperationLogDO>()
                .eqIfPresent(UserOperationLogDO::getUserId, vo.getUserId())
                .eqIfPresent(UserOperationLogDO::getType, vo.getType())
                .betweenIfPresent(UserOperationLogDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(UserOperationLogDO::getId));
        }

        return null;
    }

    @Override
    default List<UserOperationLogDO> selectList(Object object) {
        if (object instanceof UserOperationLogQueryVO) {
            UserOperationLogQueryVO vo = (UserOperationLogQueryVO)object;
            return selectList(new LambdaQuery<UserOperationLogDO>()
                .eqIfPresent(UserOperationLogDO::getUserId, vo.getUserId())
                .eqIfPresent(UserOperationLogDO::getType, vo.getType())
                .betweenIfPresent(UserOperationLogDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(UserOperationLogDO::getId));
        }

        return null;
    }
}
