package cn.iocoder.yudao.module.member.mq.consumer.score;

import cn.iocoder.yudao.framework.mq.core.stream.AbstractStreamMessageListener;
import cn.iocoder.yudao.module.member.mq.consumer.score.core.ScoreRuleStrategy;
import cn.iocoder.yudao.module.member.mq.consumer.score.core.ScoreRuleStrategyFactory;
import cn.iocoder.yudao.module.member.mq.message.ScoreMessage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
/**
 * @author zhangfeng
 */
@Component
@Slf4j
public class ScoreConsumer extends AbstractStreamMessageListener<ScoreMessage> {
    @Resource
    private ScoreRuleStrategyFactory strategyFactory;
    @Override
    public void onMessage(ScoreMessage message) {
        ScoreRuleStrategy strategy = strategyFactory.getStrategy(message.getScoreRuleType());
        if (strategy != null) {
            strategy.addScore(message);
        }
    }
}
