package cn.iocoder.yudao.module.member.mq.consumer.score.core;

import cn.hutool.core.collection.CollUtil;
import cn.iocoder.yudao.module.member.api.score.MemberUserScoreApi;
import cn.iocoder.yudao.module.member.dal.dataobject.scoreLog.MemberUserScoreLogDO;
import cn.iocoder.yudao.module.member.service.scoreLog.MemberUserScoreLogService;
import cn.iocoder.yudao.module.member.service.scoreRule.ScoreRuleService;
import cn.iocoder.yudao.module.member.service.user.MemberUserService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @author zhangfeng
 */
public abstract class AbstractScoreRuleStrategy implements ScoreRuleStrategy {

    protected ScoreRuleService scoreRuleService;
    protected MemberUserScoreLogService memberUserScoreLogService;
    protected MemberUserService memberUserService;
    protected MemberUserScoreApi memberUserScoreApi;

    @Autowired
    public AbstractScoreRuleStrategy(ScoreRuleService scoreRuleService, MemberUserScoreLogService memberUserScoreLogService, MemberUserService memberUserService, MemberUserScoreApi memberUserScoreApi) {
        this.scoreRuleService = scoreRuleService;
        this.memberUserScoreLogService = memberUserScoreLogService;
        this.memberUserService = memberUserService;
        this.memberUserScoreApi = memberUserScoreApi;
    }
    /**
     * 计算用户在某一活动获得积分总数
     * @param scoreRuleId
     * @param userId
     * @return
     */
    protected Integer getUserScoreTotalCount(Long scoreRuleId, Long userId) {
        Integer userScoreTotalCount = 0;
        LambdaQueryWrapper<MemberUserScoreLogDO> scoreLogQueryWrapper = new LambdaQueryWrapper<>();
        scoreLogQueryWrapper.eq(MemberUserScoreLogDO::getMemberId, userId)
                .eq(MemberUserScoreLogDO::getRuleId, scoreRuleId);
        List<MemberUserScoreLogDO> memberUserScoreLogs = memberUserScoreLogService.selectList(scoreLogQueryWrapper);
        if (CollUtil.isNotEmpty(memberUserScoreLogs)) {
            for (MemberUserScoreLogDO memberUserScoreLog : memberUserScoreLogs) {
                userScoreTotalCount += memberUserScoreLog.getScoreCount();
            }
        }
        return userScoreTotalCount;
    }
}

