package cn.iocoder.yudao.module.member.mq.consumer.score.core;

import cn.iocoder.yudao.module.member.enums.ScoreRuleTypeEnum;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author zhangfeng
 */
@Component
public class ScoreRuleStrategyFactory {
    private final Map<ScoreRuleTypeEnum, ScoreRuleStrategy> strategies = new HashMap<>();
    @Autowired
    public void setStrategyFactory(List<ScoreRuleStrategy> strategyList) {
        for (ScoreRuleStrategy strategy : strategyList) {
            strategies.put(strategy.getStrategyScoreRuleType(), strategy);
        }
    }

    public ScoreRuleStrategy getStrategy(ScoreRuleTypeEnum scoreRuleType) {
        return strategies.get(scoreRuleType);
    }
}
