package cn.iocoder.yudao.module.member.mq.message;

import cn.iocoder.yudao.framework.mq.core.stream.AbstractStreamMessage;
import cn.iocoder.yudao.module.member.enums.ScoreRuleTypeEnum;
import lombok.*;
/**
 * @author zhangfeng
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScoreMessage extends AbstractStreamMessage {
    /**
     * 积分规则类型所有消息必填
     */
    private ScoreRuleTypeEnum scoreRuleType;
    /**
     * 分享规则id
     */
    private Long shareRuleId;
    /**
     * 分享规则id
     */
    private String triggerIp;
    /**
     * 订单ID：订单V值消息必填
     */
    private Long orderId;
    /**
     * 订单编号：目前仅测试使用
     */
    private String orderNo;
    /**
     * userID：注册，分享必填
     */
    private Long userId;
    /**
     * 被推荐的会员ID：推荐必填
     */
    private Long recommendUserId;
    /**
     * 推荐码：推荐必填
     */
    private String referralCode;
    /**
     * 中文名：注册必填
     */
    private String userNameZh;
    /**
     * 英文名：注册必填
     */
    private String userNameEn;
    /**
     * 电话：注册必填
     */
    private String phone;
    /**
     * 注册平台：注册必填
     */
    private Integer registerPlatform;

    @Override
    public String getStreamKey() {
        return "member.score.add";
    }
}
