package cn.iocoder.yudao.module.member.service.ScoreRuleShareRecord;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.member.dal.dataobject.ScoreRuleShareRecord.ScoreRuleShareRecordDO;
import cn.iocoder.yudao.module.member.vo.ScoreRuleShareRecord.*;

import javax.validation.Valid;

/**
 * 分享记录 Service 接口
 *
 * @author 系统管理员
 */
public interface ScoreRuleShareRecordService extends IService<ScoreRuleShareRecordDO> {

    /**
     * 创建分享记录
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createRuleShareRecord(@Valid ScoreRuleShareRecordCreateReqVO createReqVO);

    /**
     * 获得分享记录详情
     * @param reqVO
     * @return 分享记录详情
     */
    PageResult<ScoreRuleShareRecordDetailVO> getRuleShareRecordDetail(ScoreRuleShareRecordDetailReqVO reqVO);

    /**
     * 获得分享记录分页
     * @param query 查询
     * @return 分享记录分页
     */
    PageResult<ScoreRuleShareRecordPageVO> getRuleShareRecordPage(ScoreRuleShareRecordQueryVO query);

    /**
     * 分享规则触发ip校验
     */
    boolean verifyTriggerIp(Long userId, Long ruleId, String ipAddr);
}
