package cn.iocoder.yudao.module.member.service.levelDetails;

import cn.hutool.core.lang.generator.SnowflakeGenerator;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;
import cn.iocoder.yudao.module.member.dal.dataobject.level.MemberUserLevelConfigDO;
import cn.iocoder.yudao.module.member.dal.dataobject.memberUserLevelDetail.MemberUserLevelDetailsDO;
import cn.iocoder.yudao.module.member.dal.mysql.memberUserLevel.MemberUserLevelConfigMapper;
import cn.iocoder.yudao.module.member.dal.mysql.userLevelDetails.MemberUserLevelDetailsMapper;
import cn.iocoder.yudao.module.member.enums.ErrorCodeConstants;
import cn.iocoder.yudao.module.member.service.level.MemberUserLevelConfigService;
import cn.iocoder.yudao.module.member.vo.userLevelDetails.MemberUserLevelDetailsBackVO;
import cn.iocoder.yudao.module.member.vo.userLevelDetails.MemberUserLevelDetailsQueryVO;
import cn.iocoder.yudao.module.system.api.user.AdminUserApi;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;
import java.util.List;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.error;

/**
 * 会员等级详情 Service 实现类
 *
 * @author Smile
 */
@Service
@Validated
public class MemberUserLevelDetailsServiceImpl extends AbstractService<MemberUserLevelDetailsMapper, MemberUserLevelDetailsDO> implements MemberUserLevelDetailsService {

    @Resource
    private MemberUserLevelDetailsMapper userLevelDetailsMapper;
    @Resource
    private AdminUserApi adminUserApi;

    @Override
    public PageResult<MemberUserLevelDetailsBackVO> getPage(MemberUserLevelDetailsQueryVO query) {
        int start = (query.getPageNo() - 1) * query.getPageSize();
        int size = query.getPageSize();
        List<MemberUserLevelDetailsBackVO> list = userLevelDetailsMapper.getPageDetailsList(start, size, query);
        list.stream().forEach(
                item -> {
                    item.setUpdaterName(adminUserApi.getUser(Long.valueOf(item.getUpdater())).getNickname());
                }
        );
        int total = userLevelDetailsMapper.getPageCount(query);
        return new PageResult<>(list, total, query.getPageSize(), query.getPageNo(), (total + query.getPageSize() - 1) / query.getPageSize());
    }


}
