package cn.iocoder.yudao.module.member.service.userCardAuth;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.member.vo.userCardAuth.*;
import cn.iocoder.yudao.module.member.dal.dataobject.userCardAuth.UserCardAuthDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 用户身份证认证 Service 接口
 *
 * @author yanghao
 */
public interface UserCardAuthService extends IService<UserCardAuthDO> {

    /**
     * 创建用户身份证认证
     *
     * @param createReqVO          创建信息
     * @param isAdminManagerUpload
     * @return 编号
     */
    Long createUserCardAuth(@Valid UserCardAuthCreateReqVO createReqVO, boolean isAdminManagerUpload);

    /**
     * 更新用户身份证认证
     * @param updateReqVO 更新信息
     */
    void updateUserCardAuth(@Valid UserCardAuthUpdateReqVO updateReqVO);

    /**
     * 删除用户身份证认证
     * @param id 编号
     */
    void deleteUserCardAuth(Long id);

    /**
     * 获得用户身份证认证
     * @param id 编号
     * @return 用户身份证认证
     */
    UserCardAuthDO getUserCardAuth(Long id);

    /**
     * 获得用户身份证认证列表
     * @param ids 编号
     * @return 用户身份证认证列表
     */
    List<UserCardAuthDO> getUserCardAuthList(Collection<Long> ids);

    /**
     * 获得用户身份证认证分页
     * @param page 分页查询
     * @param query 查询
     * @return 用户身份证认证分页
     */
    PageResult<UserCardAuthDO> getUserCardAuthPage(UserCardAuthQueryVO query, PageVO page);

    /**
     * 获得用户身份证认证列表, 用于 Excel 导出
     * @param query 查询
     * @return 用户身份证认证列表
     */
    List<UserCardAuthDO> getUserCardAuthList(UserCardAuthQueryVO query);
}
