package cn.iocoder.yudao.module.member.service.userEnterprise;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.member.vo.userEnterprise.*;
import cn.iocoder.yudao.module.member.dal.dataobject.userEnterprise.UserEnterpriseDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 会员公司信息 Service 接口
 *
 * @author 系统管理员
 */
public interface UserEnterpriseService extends IService<UserEnterpriseDO> {

    /**
     * 创建会员公司信息
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createUserEnterprise(@Valid UserEnterpriseCreateReqVO createReqVO);

    /**
     * 更新会员公司信息
     * @param updateReqVO 更新信息
     */
    void updateUserEnterprise(@Valid UserEnterpriseUpdateReqVO updateReqVO);

    /**
     * 删除会员公司信息
     * @param id 编号
     */
    void deleteUserEnterprise(Long id);

    /**
     * 获得会员公司信息
     * @param id 编号
     * @return 会员公司信息
     */
    UserEnterpriseDO getUserEnterprise(Long id);

    /**
     * 获得会员公司信息列表
     * @param ids 编号
     * @return 会员公司信息列表
     */
    List<UserEnterpriseDO> getUserEnterpriseList(Collection<Long> ids);

    /**
     * 获得会员公司信息分页
     * @param page 分页查询
     * @param query 查询
     * @return 会员公司信息分页
     */
    PageResult<UserEnterpriseDO> getUserEnterprisePage(UserEnterpriseQueryVO query, PageVO page);

    /**
     * 获得会员公司信息列表, 用于 Excel 导出
     * @param query 查询
     * @return 会员公司信息列表
     */
    List<UserEnterpriseDO> getUserEnterpriseList(UserEnterpriseQueryVO query);
}
