package cn.iocoder.yudao.module.member.service.userEnterpriseAuth;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.member.vo.userEnterpriseAuth.*;
import cn.iocoder.yudao.module.member.dal.dataobject.userEnterpriseAuth.UserEnterpriseAuthDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 用户企业认证 Service 接口
 *
 * @author yanghao
 */
public interface UserEnterpriseAuthService extends IService<UserEnterpriseAuthDO> {

    /**
     * 创建用户企业认证
     *
     * @param createReqVO          创建信息
     * @param isAdminManagerUpload
     * @return 编号
     */
    Long createUserEnterpriseAuth(@Valid UserEnterpriseAuthCreateReqVO createReqVO, boolean isAdminManagerUpload);

    /**
     * 更新用户企业认证
     * @param updateReqVO 更新信息
     */
    void updateUserEnterpriseAuth(@Valid UserEnterpriseAuthUpdateReqVO updateReqVO);

    /**
     * 删除用户企业认证
     * @param id 编号
     */
    void deleteUserEnterpriseAuth(Long id);

    /**
     * 获得用户企业认证
     * @param id 编号
     * @return 用户企业认证
     */
    UserEnterpriseAuthDO getUserEnterpriseAuth(Long id);

    /**
     * 获得用户企业认证列表
     * @param ids 编号
     * @return 用户企业认证列表
     */
    List<UserEnterpriseAuthDO> getUserEnterpriseAuthList(Collection<Long> ids);

    /**
     * 获得用户企业认证分页
     * @param page 分页查询
     * @param query 查询
     * @return 用户企业认证分页
     */
    PageResult<UserEnterpriseAuthDO> getUserEnterpriseAuthPage(UserEnterpriseAuthQueryVO query, PageVO page);

    /**
     * 获得用户企业认证列表, 用于 Excel 导出
     * @param query 查询
     * @return 用户企业认证列表
     */
    List<UserEnterpriseAuthDO> getUserEnterpriseAuthList(UserEnterpriseAuthQueryVO query);
}
