package cn.iocoder.yudao.module.member.service.userOperationLog;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.member.vo.userOperationLog.*;
import cn.iocoder.yudao.module.member.dal.dataobject.userOperationLog.UserOperationLogDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 用户操作日志 Service 接口
 *
 * @author yanghao
 */
public interface UserOperationLogService extends IService<UserOperationLogDO> {

    /**
     * 创建用户操作日志
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createUserOperationLog(@Valid UserOperationLogCreateReqVO createReqVO);

    /**
     * 更新用户操作日志
     * @param updateReqVO 更新信息
     */
    void updateUserOperationLog(@Valid UserOperationLogUpdateReqVO updateReqVO);

    /**
     * 删除用户操作日志
     * @param id 编号
     */
    void deleteUserOperationLog(Long id);

    /**
     * 获得用户操作日志
     * @param id 编号
     * @return 用户操作日志
     */
    UserOperationLogDO getUserOperationLog(Long id);

    /**
     * 获得用户操作日志列表
     * @param ids 编号
     * @return 用户操作日志列表
     */
    List<UserOperationLogDO> getUserOperationLogList(Collection<Long> ids);

    /**
     * 获得用户操作日志分页
     * @param page 分页查询
     * @param query 查询
     * @return 用户操作日志分页
     */
    PageResult<UserOperationLogDO> getUserOperationLogPage(UserOperationLogQueryVO query, PageVO page);

    /**
     * 获得用户操作日志列表, 用于 Excel 导出
     * @param query 查询
     * @return 用户操作日志列表
     */
    List<UserOperationLogDO> getUserOperationLogList(UserOperationLogQueryVO query);
}
