package cn.iocoder.yudao.module.member.util;

import org.apache.commons.lang.StringUtils;
import org.json.JSONObject;

/**
 * @author zhaobiyan
 */
public class MemberUserCodeUtils {

    private static final String MEMBER_CODE_PREFIX = "EC";

    private static final int DEFAULT_LENGTH = 6;

    public static String generateMemberCode(Long codeNumber) {
        StringBuilder codeNumberStr = new StringBuilder(String.valueOf(codeNumber));
        if (codeNumberStr.length() >= DEFAULT_LENGTH) {
            return MEMBER_CODE_PREFIX + codeNumberStr;
        }
        int supplyCount = DEFAULT_LENGTH - codeNumberStr.length();
        for (int i = 0; i < supplyCount; i++) {
            codeNumberStr.insert(0, "0");
        }
        return MEMBER_CODE_PREFIX + codeNumberStr;
    }

    public static Long getMemberCodeNumber(String currentMaxMemberCode) {
        if (StringUtils.isBlank(currentMaxMemberCode)) {
            return 0L;
        }
        String[] split = currentMaxMemberCode.split(MEMBER_CODE_PREFIX);
        return Long.parseLong(split[1]);
    }
}


