package cn.iocoder.yudao.module.member.vo.ScoreRuleShareRecord;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 分享记录 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 分享记录详情 Response VO")
public class ScoreRuleShareRecordDetailVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ApiModelProperty(value = "分享编号", required = true)
    private String code;

    @ApiModelProperty(value = "操作人")
    private String memberName;

    @ApiModelProperty(value = "分类（3推荐，4分享）")
    private Integer type;

    @ApiModelProperty(value = "分类中文")
    private String typeZh;

    @ApiModelProperty(value = "分类英文")
    private String typeEn;

    @ApiModelProperty(value = "积分规则标题中文")
    private String titleZh;

    @ApiModelProperty(value = "积分规则标题英文")
    private String titleEn;

    @ApiModelProperty(value = "单次积分")
    private Integer score;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "操作时间")
    private Date createTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "点击时间")
    private Date triggerTime;

    @ApiModelProperty(value = "点击ip")
    private String ipAddress;
}
