package cn.iocoder.yudao.module.member.vo.ScoreRuleShareRecord;

import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 分享记录查询 VO")
public class ScoreRuleShareRecordQueryVO extends PageVO {

    @ApiModelProperty(value = "操作人")
    private String memberName;

    @ApiModelProperty(value = "分类（3推荐，4分享）")
    private Integer type;

    @ApiModelProperty(value = "积分规则标题")
    private String title;

    @ApiModelProperty(value = "分享编号")
    private String code;

    @ApiModelProperty(value = "总积分查询条件操作符（1大于，2等于，3小于）")
    private Integer relationSymbol;

    @ApiModelProperty(value = "总积分")
    private Integer totalScore;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "操作开始时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "操作结束时间")
    private Date endCreateTime;
}
