package cn.iocoder.yudao.module.member.vo.address;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 会员收货地址 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 会员收货地址 Response VO")
public class UserAddressBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("会员id")
    @ApiModelProperty(value = "会员id", required = true)
    private Long memberId;

    @ExcelProperty("是否默认地址")
    @ApiModelProperty(value = "是否默认地址")
    private Integer isDefault;

    @ExcelProperty("收货人姓名")
    @ApiModelProperty(value = "收货人姓名")
    private String name;

    @ExcelProperty("区号")
    @ApiModelProperty(value = "区号")
    private String areaCode;

    @ExcelProperty("收货人手机")
    @ApiModelProperty(value = "收货人手机")
    private String phone;

    @ExcelProperty("详细地址")
    @ApiModelProperty(value = "详细地址")
    private String address;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
