package cn.iocoder.yudao.module.member.vo.address;

import lombok.*;
import io.swagger.annotations.*;

import javax.validation.constraints.*;

/**
 * 会员收货地址 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class UserAddressBaseVO {

    @ApiModelProperty(value = "会员id", required = true)
    @NotNull(message = "会员id不能为空")
    private Long memberId;

    @ApiModelProperty(value = "是否默认地址（0是，1否）")
    private Integer isDefault = 1;

    @ApiModelProperty(value = "收货人姓名", required = true)
    @NotNull(message = "收货人姓名不能为空")
    private String name = "";

    @ApiModelProperty(value = "区号", required = true)
    @NotNull(message = "区号不能为空")
    private String areaCode = "";

    @ApiModelProperty(value = "收货人手机", required = true)
    @NotNull(message = "收货人手机不能为空")
    private String phone = "";

    @ApiModelProperty(value = "详细地址", required = true)
    @NotNull(message = "详细地址不能为空")
    private String address = "";

}
