package cn.iocoder.yudao.module.member.vo.address;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 会员收货地址查询 VO")
public class UserAddressQueryVO {

    @ApiModelProperty(value = "会员id")
    private Long memberId;

    @ApiModelProperty(value = "是否默认地址")
    private Integer isDefault;

    @ApiModelProperty(value = "收货人姓名")
    private String name;

    @ApiModelProperty(value = "区号")
    private String areaCode;

    @ApiModelProperty(value = "收货人手机")
    private String phone;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
