package cn.iocoder.yudao.module.member.vo.member;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.DIR;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 用户 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class MemberBaseVO {

    @ApiModelProperty(value = "用户昵称", required = true)
    @NotNull(message = "用户昵称不能为空")
    private String nickname;

    @ApiModelProperty(value = "头像", required = true)
    @NotNull(message = "头像不能为空")
    private String avatar;

    @ApiModelProperty(value = "状态", required = true)
    @NotNull(message = "状态不能为空")
    private Integer status;

    @ApiModelProperty(value = "手机号", required = true)
    @NotNull(message = "手机号不能为空")
    private String mobile;

    @ApiModelProperty(value = "密码", required = true)
    @NotNull(message = "密码不能为空")
    private String password;

    @ApiModelProperty(value = "注册 IP", required = true)
    @NotNull(message = "注册 IP不能为空")
    private String registerIp;

    @ApiModelProperty(value = "最后登录IP")
    private String loginIp;

    @ApiModelProperty(value = "最后登录时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date loginDate;

    @ApiModelProperty(value = "保函")
    private String backLetterImg;

    @ApiModelProperty(value = "区号", required = true)
    @NotNull(message = "区号不能为空")
    private String areaCode;

    @ApiModelProperty(value = "英文名称", required = true)
    @NotNull(message = "英文名称不能为空")
    private String englishName;

    @ApiModelProperty(value = "生日")
    @DateTimeFormat(pattern = DIR)
    private Date birthday;

    @ApiModelProperty(value = "部门")
    private String department;

    @ApiModelProperty(value = "性别：0 女 1 男 2 保密")
    private Integer gender;

    @ApiModelProperty(value = "工作职位")
    private String jobPosition;

    @ApiModelProperty(value = "地址")
    private String address;

}
