package cn.iocoder.yudao.module.member.vo.member;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.DIR;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 用户查询 VO")
public class MemberQueryVO {

    @ApiModelProperty(value = "用户昵称")
    private String nickname;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "注册 IP")
    private String registerIp;

    @ApiModelProperty(value = "最后登录IP")
    private String loginIp;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始最后登录时间")
    private Date beginLoginDate;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束最后登录时间")
    private Date endLoginDate;

    @ApiModelProperty(value = "保函")
    private String backLetterImg;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "区号")
    private String areaCode;

    @ApiModelProperty(value = "英文名称")
    private String englishName;

    @DateTimeFormat(pattern = DIR)
    @ApiModelProperty(value = "生日")
    private Date birthday;

    @ApiModelProperty(value = "部门")
    private String department;

    @ApiModelProperty(value = "性别：0 女 1 男 2 保密")
    private Integer gender;

    @ApiModelProperty(value = "工作职位")
    private String jobPosition;

    @ApiModelProperty(value = "地址")
    private String address;

}
