package cn.iocoder.yudao.module.member.vo.scoreRule;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 积分规则 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 积分规则基本信息 Response VO")
public class ScoreRuleBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("编号")
    @ApiModelProperty(value = "编号", required = true)
    private String code;

    @ExcelProperty("指标类型")
    @ApiModelProperty(value = "指标类型", required = true)
    private Integer type;

    @ExcelProperty("规则标题中文")
    @ApiModelProperty(value = "规则标题中文", required = true)
    private String titleZh;

    @ExcelProperty("规则标题英文")
    @ApiModelProperty(value = "规则标题英文", required = true)
    private String titleEn;

    @ExcelProperty("规则标题法文")
    @ApiModelProperty(value = "规则标题法文", required = true)
    private String titleFr;

    @ExcelProperty("规则说明中文")
    @ApiModelProperty(value = "规则说明中文", required = true)
    private String descZh;

    @ExcelProperty("规则说明英文")
    @ApiModelProperty(value = "规则说明英文", required = true)
    private String descEn;

    @ExcelProperty("规则说明法文")
    @ApiModelProperty(value = "规则说明英文", required = true)
    private String descFr;

    @ExcelProperty("封面图中文")
    @ApiModelProperty(value = "封面图中文")
    private String coverImageZh;

    @ExcelProperty("封面图英文")
    @ApiModelProperty(value = "封面图英文")
    private String coverImageEn;

    @ExcelProperty("封面图法文")
    @ApiModelProperty(value = "封面图法文")
    private String coverImageFr;

    @ExcelProperty("单次获取积分数")
    @ApiModelProperty(value = "单次获取积分数", required = true)
    private Integer getScoreOnce;

    @ExcelProperty("累积最高积分")
    @ApiModelProperty(value = "累积最高积分", required = true)
    private Integer maxScoreTotal;

    @ExcelProperty("活动开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "活动开始时间", required = true)
    private Date startTime;

    @ExcelProperty("活动结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "活动结束时间", required = true)
    private Date endTime;

    @ExcelProperty("积分有效期")
    @ApiModelProperty(value = "积分有效期", required = true)
    private Integer scorePeriod;

    @ExcelProperty("排序值")
    @ApiModelProperty(value = "排序值", required = true)
    private Integer orderNum;

    @ExcelProperty("是否推送")
    @ApiModelProperty(value = "是否推送", required = true)
    private Integer pushActivity;

    @ExcelProperty("展示平台")
    @ApiModelProperty(value = "展示平台", required = true)
    private String showPlatform;

    @ExcelProperty("活动状态")
    @ApiModelProperty(value = "活动状态", required = true)
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("更新时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "更新时间", required = true)
    private Date updateTime;

    @ExcelProperty("创建人")
    @ApiModelProperty(value = "创建人", required = true)
    private String creator;

    @ExcelProperty("更新人")
    @ApiModelProperty(value = "更新人", required = true)
    private String updater;

}
