package cn.iocoder.yudao.module.member.vo.scoreRule;

import lombok.*;

import java.util.*;

import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 积分规则查询 VO")
public class ScoreRuleQueryVO {

    @ApiModelProperty(value = "指标类型")
    private Integer type;

    @ApiModelProperty(value = "规则标题")
    private String title;

    @ApiModelProperty(value = "规则说明")
    private String desc;

    @ApiModelProperty(value = "单次获取积分数查询条件（1大于，2等于，3小于）")
    private Integer getScoreOnceSymbol;
    @ApiModelProperty(value = "单次获取积分数")
    private Integer getScoreOnce;

    @ApiModelProperty(value = "单次获取积分数查询条件（1大于，2等于，3小于）")
    private Integer maxScoreTotalSymbol;
    @ApiModelProperty(value = "累积最高积分")
    private Integer maxScoreTotal;

    @ApiModelProperty(value = "活动状态")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;
}
