package cn.iocoder.yudao.module.member.vo.scoreRule;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Objects;

@Data
public class WarehouseTreeRegionSimpleVO {
    @ApiModelProperty("国家id")
    private Long id;
    @ApiModelProperty("国家中文名")
    private String labelZh;
    @ApiModelProperty("国家英文名")
    private String labelEn;

    @ApiModelProperty("城市")
    private List<WarehouseCity> children;

    @Data
    public static class WarehouseCity {
        @ApiModelProperty("城市id")
        private Long id;
        @ApiModelProperty("城市中文名")
        private String labelZh;
        @ApiModelProperty("城市英文名")
        private String labelEn;
        @ApiModelProperty("仓库")
        private List<Warehouse> children;

        @Override
        public boolean equals(Object o) {
            if (this == o) return true;
            if (o == null || getClass() != o.getClass()) return false;
            WarehouseCity that = (WarehouseCity) o;
            return Objects.equals(id, that.id);
        }

        @Override
        public int hashCode() {
            return Objects.hashCode(id);
        }
    }
    @Data
    public static class Warehouse {
        @ApiModelProperty("仓库id")
        private Long id;
        @ApiModelProperty("仓库中文名")
        private String labelZh;
        @ApiModelProperty("仓库英文名")
        private String labelEn;
    }
}
