package cn.iocoder.yudao.module.member.vo.userCardAuth;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 用户身份证认证 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 用户身份证认证 Response VO")
public class UserCardAuthBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("用户id")
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ExcelProperty("姓名")
    @ApiModelProperty(value = "姓名")
    private String name;

    @ExcelProperty("证件类型")
    @ApiModelProperty(value = "证件类型")
    private Integer cardType;

    @ExcelProperty("证件号码")
    @ApiModelProperty(value = "证件号码")
    private String cardNumber;

    @ExcelProperty("身份证正面照")
    @ApiModelProperty(value = "身份证正面照")
    private String img1;

    @ExcelProperty("身份证背面照")
    @ApiModelProperty(value = "身份证背面照")
    private String img2;

    @ExcelProperty(value = "审核状态", converter = DictConvert.class)
    @DictFormat("audit_status") // TODO 代码优化：建议设置到对应的 XXXDictTypeConstants 枚举类中
    @ApiModelProperty(value = "审核结果 0未审核 1审核中 2审核通过 3审核不通过 见audit_status")
    private Integer status;

    @ExcelProperty("审核备注")
    @ApiModelProperty(value = "审核备注")
    private String auditRemark;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("审核时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "审核时间")
    private Date auditTime;

}
