package cn.iocoder.yudao.module.member.vo.userCardAuth;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 用户身份证认证 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class  UserCardAuthBaseVO {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "证件类型")
    private Integer cardType;

    @ApiModelProperty(value = "证件号码")
    private String cardNumber;

    @ApiModelProperty(value = "身份证正面照")
    private String img1;

    @ApiModelProperty(value = "身份证背面照")
    private String img2;

    @ApiModelProperty(value = "审核结果 0未审核 1审核中 2审核通过 3审核不通过 见audit_status")
    private Integer status;

    @ApiModelProperty(value = "审核备注")
    private String auditRemark;

    @ApiModelProperty(value = "审核时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date auditTime;

}
