package cn.iocoder.yudao.module.member.vo.userEnterprise;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 会员公司信息 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 会员公司信息 Response VO")
public class UserEnterpriseBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("用户id")
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ExcelProperty("公司名称")
    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @ExcelProperty("公司英文名称")
    @ApiModelProperty(value = "公司英文名称")
    private String companyEnName;

    @ExcelProperty("公司简介")
    @ApiModelProperty(value = "公司简介")
    private String companyDesc;

    @ExcelProperty("公司官网")
    @ApiModelProperty(value = "公司官网")
    private String companyWebsite;

    @ExcelProperty("公司地址")
    @ApiModelProperty(value = "公司地址")
    private String companyAddress;

    @ExcelProperty("档口")
    @ApiModelProperty(value = "档口")
    private String companyStall;

    @ExcelProperty("品牌")
    @ApiModelProperty(value = "品牌")
    private String companyBand;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
