package cn.iocoder.yudao.module.member.vo.userEnterpriseAuth;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 用户企业认证 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 用户企业认证 Response VO")
public class UserEnterpriseAuthBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("用户id")
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ExcelProperty("企业名称")
    @ApiModelProperty(value = "企业名称")
    private String name;

    @ExcelProperty("企业法人")
    @ApiModelProperty(value = "企业法人")
    private String legalName;

    @ExcelProperty("企业证件号码")
    @ApiModelProperty(value = "企业证件号码")
    private String cardNumber;

    @ExcelProperty("企业证件照")
    @ApiModelProperty(value = "企业证件照")
    private String img1;

    @ExcelProperty("企业附件")
    @ApiModelProperty(value = "企业附件")
    private String img2;

    @ExcelProperty("企业审核状态：0未审核；1审核中；2审核通过；3审核不通过 见audit_status")
    @ApiModelProperty(value = "企业审核状态：0未审核；1审核中；2审核通过；3审核不通过 见audit_status")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("审核备注")
    @ApiModelProperty(value = "审核备注")
    private String auditRemark;

    @ExcelProperty("审核时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "审核时间")
    private Date auditTime;

}
