package cn.iocoder.yudao.module.member.vo.userEnterpriseAuth;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 用户企业认证 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class UserEnterpriseAuthBaseVO {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "企业名称")
    private String name;

    @ApiModelProperty(value = "营业执照号码")
    private String cardNumber;

    @ApiModelProperty(value = "企业法人")
    private String legalName;

    @ApiModelProperty(value = "证件有效期")
    private String validity;

    @ApiModelProperty(value = "企业证件照")
    private String img1;

    @ApiModelProperty(value = "企业附件")
    private String img2;

    @ApiModelProperty(value = "企业审核状态：0未审核；1审核中；2审核通过；3审核不通过 见audit_status")
    private Integer status;

    @ApiModelProperty(value = "审核备注")
    private String auditRemark;

    @ApiModelProperty(value = "审核时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date auditTime;

}
