package cn.iocoder.yudao.module.member.vo.userEnterpriseAuth;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 用户企业认证查询 VO")
public class UserEnterpriseAuthQueryVO {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "企业名称")
    private String name;

    @ApiModelProperty(value = "企业法人")
    private String legalName;

    @ApiModelProperty(value = "企业证件号码")
    private String cardNumber;

    @ApiModelProperty(value = "企业证件照")
    private String img1;

    @ApiModelProperty(value = "企业附件")
    private String img2;

    @ApiModelProperty(value = "企业审核状态：0未审核；1审核中；2审核通过；3审核不通过 见audit_status")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "审核备注")
    private String auditRemark;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始审核时间")
    private Date beginAuditTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束审核时间")
    private Date endAuditTime;

}
