package cn.iocoder.yudao.module.member.vo.userLevel;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 会员等级查询返回 VO")
public class MemberUserLevelConfigBaseRespVO {
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 名称
     */
    @ApiModelProperty(value = "等级名称")
    private String name;
    /**
     * 积分范围 下界
     */
    @ApiModelProperty(value = "积分范围 下界")
    private Integer lowerCount;
    /**
     * 积分范围 上界
     */
    @ApiModelProperty(value = "积分范围 上界")
    private Integer upperCount;
    /**
     * 图标
     */
    @ApiModelProperty(value = "图标")
    private String icon;
    /**
     * 等级(字典配置)
     */
    @ApiModelProperty(value = "等级")
    private Integer level;
    /**
     * 状态（0.未发布，1.已启用，2.已禁用，3.已过期）
     */
    @ApiModelProperty(value = "状态")
    private Integer status;
    /**
     * 规则编号
     */
    @ApiModelProperty(value = "规则编号")
    private String ruleNumber;
    /**
     * 等级有效期
     */
    @ApiModelProperty(value = "等级有效期")
    private Integer validityPeriod;
    /**
     * 积分累计周期
     */
    @ApiModelProperty(value = "积分累计周期")
    private Integer accumulationPeriod;
    /**
     * 积分累计开始日期
     */
    @ApiModelProperty(value = "积分开始累计时间")
    private Date startDate;
    /**
     * 启用日期
     */
    @ApiModelProperty(value = "启用日期")
    private Date enableDate;
    /**
     * 积分开始累计时间
     */
    @ApiModelProperty(value = "等级规则有效期开始时间")
    private Date startTime;
    /**
     * 等级规则有效期结束时间
     */
    @ApiModelProperty(value = "等级规则有效期结束时间")
    private Date endTime;
    /**
     * 等级说明
     */
    @ApiModelProperty(value = "等级说明")
    private String description;
    /**
     * 匹配顺序（限制为数字）
     */
    @ApiModelProperty(value = "匹配顺序")
    private Integer sort;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("更新时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "更新时间", required = true)
    private Date updateTime;

    @ExcelProperty("创建人")
    @ApiModelProperty(value = "创建人", required = true)
    private String creator;

    @ExcelProperty("更新人")
    @ApiModelProperty(value = "更新人", required = true)
    private String updater;

}
