package cn.iocoder.yudao.module.member.vo.userLevel;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * @author zhaobiyan
 */
@Data
@ApiModel("管理后台 - 会员等级配置查询 VO")
public class MemberUserLevelConfigReqVO extends PageParam {
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 名称
     */
    @ApiModelProperty(value = "等级名称")
    private String name;

    /**
     * 等级(字典配置)
     */
    @ApiModelProperty(value = "等级")
    private List<Integer> level;

    /**
     * 状态（0.未发布，1.已启用，2.已禁用，3.已过期）
     */
    @ApiModelProperty(value = "状态")
    private List<Integer> status;


    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始启用时间")
    private Date beginTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束启用时间")
    private Date endTime;

}
