package cn.iocoder.yudao.module.member.vo.userLevel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@ApiModel("管理后台 - 会员等级编辑 VO")
public class MemberUserLevelConfigUpdateVO {
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 名称
     */
    @ApiModelProperty(value = "等级名称")
    @NotNull(message = "name is null")
    private String name;
    /**
     * 积分范围 下界
     */
    @ApiModelProperty(value = "积分范围 下界")
    @NotNull(message = "lowerCount is null")
    private Integer lowerCount;
    /**
     * 积分范围 上界
     */
    @ApiModelProperty(value = "积分范围 上界")
    @NotNull(message = "upperCount is null")
    private Integer upperCount;
    /**
     * 图标
     */
    @ApiModelProperty(value = "图标")
    private String icon;

    /**
     * 等级(字典配置)
     */
    @ApiModelProperty(value = "等级")
    @NotNull(message = "等级不能为空")
    private Integer level;
    /**
     * 状态（0.未发布，1.已启用，2.已禁用，3.已过期）
     */
    @ApiModelProperty(value = "状态")
    private Integer status;
    /**
     * 规则编号
     */
    @ApiModelProperty(value = "规则编号")
    private String ruleNumber;
    /**
     * 等级有效期
     */
    @ApiModelProperty(value = "等级有效期")
    private Integer validityPeriod;
    /**
     * 积分累计周期
     */
    @ApiModelProperty(value = "积分累计周期")
    @NotNull(message = "积分累计周期不能为空")
    private Integer accumulationPeriod;
    /**
     * 积分累计开始日期
     */
    @ApiModelProperty(value = "积分开始累计时间")
    private Date startDate;
    /**
     * 启用日期
     */
    @ApiModelProperty(value = "启用日期")
    private Date enableDate;
    /**
     * 积分开始累计时间
     */
    @ApiModelProperty(value = "等级规则有效期开始时间")
    @NotNull(message = "等级规则有效期开始时间不能为空")
    private Date startTime;
    /**
     * 等级规则有效期结束时间
     */
    @ApiModelProperty(value = "等级规则有效期结束时间")
    private Date endTime;
    /**
     * 等级说明
     */
    @ApiModelProperty(value = "等级说明")
    @NotNull(message = "等级说明不能为空")
    private String description;
    /**
     * 匹配顺序（限制为数字）
     */
    @ApiModelProperty(value = "匹配顺序")
    @NotNull(message = "匹配顺序不能为空")
    private Integer sort;

}
