package cn.iocoder.yudao.module.member.vo.userLevelDetails;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * @author Smile
 */
@Data
@ApiModel("管理后台 - 会员等级详情 VO")
public class MemberUserLevelDetailsBackVO {
    @ApiModelProperty(value = "详情id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    @ApiModelProperty(value = "会员等级配置id")
    private Long configId;

    @ApiModelProperty(value = "会员编号")
    private String memberCode;

    @ApiModelProperty(value = "会员id")
    private Long memberId;

    @ApiModelProperty(value = "等级")
    private Integer level;

    @ApiModelProperty(value = "等级有效期")
    private Date validityPeriod;

    @ApiModelProperty(value = "等级特殊设置")
    private Boolean specificSettings;

    @ApiModelProperty(value = "更新原因")
    private String remarks;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "最后更新时间", required = true)
    private Date updateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "最后更新人")
    private String updater;

    @ApiModelProperty(value = "最后更新人名称")
    private String updaterName;

}
