package cn.iocoder.yudao.module.member.vo.userLevelLog;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang.StringUtils;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * @author Smile
 */
@Data
@ApiModel("管理后台 - 等级规则记录查询 VO")
public class MemberUserLevelLogBackVO {
    @ApiModelProperty(value = "操作记录id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    @ApiModelProperty(value = "会员等级配置id")
    private Long configId;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "操作时间")
    private Date createTime;

    @ApiModelProperty(value = "操作人")
    private String operator;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "操作类型，1-新增，2-编辑", required = true)
    private Integer operateType;

    @ExcelProperty("审批流程ID")
    @ApiModelProperty(value = "审批流程ID")
    private String bpmProcessId;
}
