package cn.iocoder.yudao.module.member.vo.userOperationLog;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 用户操作日志 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 用户操作日志 Response VO")
public class UserOperationLogBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("用户id")
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ExcelProperty(value = "操作类型", converter = DictConvert.class)
    @DictFormat("user_operation_type") // TODO 代码优化：建议设置到对应的 XXXDictTypeConstants 枚举类中
    @ApiModelProperty(value = "操作类型")
    private Integer type;

    @ExcelProperty("标题")
    @ApiModelProperty(value = "标题")
    private String title;

    @ExcelProperty("操作ip")
    @ApiModelProperty(value = "操作ip")
    private String ip;

    @ExcelProperty("操作内容")
    @ApiModelProperty(value = "操作内容")
    private String content;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
